<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="argumentosEditId"
                header="Edita Argumentos"
                widgetVar="argumentosEdit"
                modal="true"
                resizable="false"
                closable="false"
                draggable="false"
                >

                <h:panelGroup id="detalleArgumentosEdit" class="detalleArgumentosEdit">
                 
                    <h:form>
                        <h:panelGrid 
                            id="pnlDatosArgumentoEdit" 
                            columns="4" 
                            cellpadding="5" 
                            columnClasses="centered,centered2,centered,centered2">

                            <f:facet name="header">                
                                <p:row>                  
                                    <p:column colspan="7">Datos del Argumento</p:column>                
                                </p:row>
                            </f:facet>

                            <p:column>                    
                                <h:outputText 
                                    id="lblIDArgumentoEdit" 
                                    value="ID del Argumento: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>              
                                <h:outputText 
                                    id="txtIDArgumentoEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.idArgumento}" />
                            </p:column>

                            <p:column>                    
                                <h:outputText 
                                    id="lblCveArgumentoEdit" 
                                    value="Clave del Argumento: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>              
                                <h:outputText 
                                    id="txtCveArgumentoEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.claveArgumento}" />
                            </p:column>

                            <p:column>                    
                                <h:outputText 
                                    id="lblDesArgumentoEdit" 
                                    value="Descripción: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>              
                                <h:outputText 
                                    id="txtDesArgumentoEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.nombreArgumento}" />
                            </p:column>

                            <p:column>                    
                                <h:outputText 
                                    id="lblTipoArgumentoEdit" 
                                    value="Tipo del Argumento: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>              
                                <h:outputText 
                                    id="txtTipoArgumentoEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.rhNomTipoArgumento.tipoArgumento}" />
                            </p:column>
                            
                            <p:column>                    
                                <h:outputText 
                                    id="lblEstatusArgumentoEdit" 
                                    value="Estatus del Argumento: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>              
                                <h:outputText 
                                    id="txtEstatusArgumentoEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.estatus}" />
                            </p:column>

                            <p:column>                    
                                <h:outputText 
                                    id="lblValorArgumentoEdit" 
                                    value="Valor del Argumento: " 
                                    style="font-weight: bold" />                
                            </p:column>

                            <p:column>     
                                <p:inputNumber id="valorConstanteEdit" 
                                    value="#{argumentosMB.rhNomnArgumentoTOSelected.valorConstante}"
                                    decimalSeparator="." thousandSeparator=","
                                    minValue="0.00000" maxValue="1000000.00000">
                                </p:inputNumber>                                
                            </p:column>
                            
                        </h:panelGrid>

                        <br/>
                        <div align="right">
                            <p:commandButton
                                update=":detalleArgumentosEdit" 
                                style="font-size: 70%"
                                value="Actualizar"
                                actionListener="#{argumentosMB.actualizarConstante}">    
                                <p:confirm 
                                    header="Confimación" 
                                    message="¿Está seguro de actualizar el valor de la constante?" 
                                    icon="ui-icon-alert" />            
                            </p:commandButton>

                            <div style="width:5px;
                                    height:auto;
                                    display:inline-block;"/>

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">

                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check" />

                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close" />            
                            </p:confirmDialog>

                            <p:commandButton
                                value="Cerrar"
                                type="button"
                                style="font-size: 70%"
                                process="@(.detalleArgumentosEdit)"
                                immediate="true"
                                onclick="location = 'ArgumentosList.jsf';">
                            </p:commandButton>
                        </div>
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>

    </body>
</html>
